> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Profile

> This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/company-profile/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/company-profile/query:
    post:
      tags:
        - Company & Events
      summary: Company Profile
      description: >-
        This endpoint retrieves comprehensive company profile data including
        company name, sector, industry, CEO, market cap, and other key business
        information.
      operationId: query_company_profile_v1_company_profile_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdentifierQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCompanyProfileResponse'
components:
  schemas:
    IdentifierQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            company profile. You must supply one type and its corresponding
            value.
      type: object
      required:
        - identifier
      title: IdentifierQuery
    PublicCompanyProfileResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/CompanyProfileData'
          type: array
          title: Results
          description: Company profile data keyed by RP entity ID
          examples:
            - - address: 1600 Amphitheatre Parkway
                average_volume: 36559933
                beta: 1.011
                ceo: Sundar Pichai
                change: 0.75
                change_percentage: 0.30514
                cik: '0001652044'
                city: Mountain View
                company_name: Alphabet Inc.
                country: US
                currency: USD
                cusip: 02079K305
                default_image: false
                description: >-
                  Alphabet Inc. provides various products and platforms in the
                  United States, Europe, the Middle East, Africa, the
                  Asia-Pacific, Canada, and Latin America. It operates through
                  Google Services, Google Cloud, and Other Bets segments. The
                  Google Services segment offers products and services,
                  including ads, Android, Chrome, hardware, Gmail, Google Drive,
                  Google Maps, Google Photos, Google Play, Search, and YouTube.
                  It is also involved in the sale of apps and in-app purchases
                  and digital content in the Google Play store; and Fitbit
                  wearable devices, Google Nest home products, Pixel phones, and
                  other devices, as well as in the provision of YouTube
                  non-advertising services. The Google Cloud segment offers
                  infrastructure, platform, and other services; Google Workspace
                  that include cloud-based collaboration tools for enterprises,
                  such as Gmail, Docs, Drive, Calendar, and Meet; and other
                  services for enterprise customers. The Other Bets segment
                  sells health technology and internet services. The company was
                  founded in 1998 and is headquartered in Mountain View,
                  California.
                exchange: NASDAQ
                exchange_full_name: NASDAQ Global Select
                full_time_employees: 185719
                image: https://images.financialmodelingprep.com/symbol/GOOGL.png
                industry: Internet Content & Information
                ipo_date: '2004-08-19'
                is_actively_trading: true
                is_adr: false
                is_etf: false
                is_fund: false
                isin: US02079K3059
                market_cap: 2981795821806
                phone: 650 253 0000
                price: 246.54
                range: 140.53-256
                rp_entity_id: 4A6F00
                sector: Communication Services
                state: CA
                target_identifier_id: GOOGL
                volume: 18503194
                website: https://www.abc.xyz
                zip: '94043'
      type: object
      required:
        - results
      title: PublicCompanyProfileResponse
      description: Response model for company profile query.
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    CompanyProfileData:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: The RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
          description: The price of the company.
          examples:
            - 245.79
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
          title: Market Cap
          description: The market capitalization of the company.
          examples:
            - 2972724892681
        beta:
          anyOf:
            - type: number
            - type: 'null'
          title: Beta
          description: The beta of the company, i.e. the volatility of the stock.
          examples:
            - 1.011
        last_dividend:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Dividend
          description: The last dividend of the company.
          examples:
            - 0
        range:
          anyOf:
            - type: string
            - type: 'null'
          title: Range
          description: The range of the company's stock prices, e.g. '166.37-488.54'.
          examples:
            - 166.37-488.54
        change:
          anyOf:
            - type: number
            - type: 'null'
          title: Change
          description: The change of the stock price of the company.
          examples:
            - -1.35
        change_percentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Change Percentage
          description: The percentage change of the stock price of company.
          examples:
            - -0.54625
        volume:
          anyOf:
            - type: number
            - type: 'null'
          title: Volume
          description: The volume of the company's stock.
          examples:
            - 30515935
        average_volume:
          anyOf:
            - type: number
            - type: 'null'
          title: Average Volume
          description: The average volume of the company's stock.
          examples:
            - 36559933
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
          description: The name of the company.
          examples:
            - Alphabet Inc.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: The currency of the company's stock.
          examples:
            - USD
        cik:
          anyOf:
            - type: string
            - type: 'null'
          title: Cik
          description: The Central Index Key (CIK) of the company.
          examples:
            - '0001652044'
        isin:
          anyOf:
            - type: string
            - type: 'null'
          title: Isin
          description: >-
            The International Securities Identification Number (ISIN) of the
            company.
          examples:
            - US02079K3059
        cusip:
          anyOf:
            - type: string
            - type: 'null'
          title: Cusip
          description: >-
            The Committee on Uniform Securities Identification Procedures
            (CUSIP) of the company.
          examples:
            - 02079K305
        exchange_full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange Full Name
          description: The full name of the exchange where the company is listed.
          examples:
            - NASDAQ Global Select
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
          description: The exchange where the company is listed.
          examples:
            - NASDAQ
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the company.
          examples:
            - Internet Content & Information
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: The website of the company.
          examples:
            - https://www.abc.xyz
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: >-
            The description of the company, e.g. 'Tesla, Inc. designs, develops,
            ...'
          examples:
            - >-
              Alphabet Inc. provides various products and platforms in the
              United States, Europe, the Middle East, Africa, the Asia-Pacific,
              Canada, and Latin America. It operates through Google Services,
              Google Cloud, and Other Bets segments. The Google Services segment
              offers products and services, including ads, Android, Chrome,
              hardware, Gmail, Google Drive, Google Maps, Google Photos, Google
              Play, Search, and YouTube. It is also involved in the sale of apps
              and in-app purchases and digital content in the Google Play store;
              and Fitbit wearable devices, Google Nest home products, Pixel
              phones, and other devices, as well as in the provision of YouTube
              non-advertising services. The Google Cloud segment offers
              infrastructure, platform, and other services; Google Workspace
              that include cloud-based collaboration tools for enterprises, such
              as Gmail, Docs, Drive, Calendar, and Meet; and other services for
              enterprise customers. The Other Bets segment sells health
              technology and internet services. The company was founded in 1998
              and is headquartered in Mountain View, California.
        ceo:
          anyOf:
            - type: string
            - type: 'null'
          title: Ceo
          description: The name of the CEO of the company.
          examples:
            - Sundar Pichai
        sector:
          anyOf:
            - type: string
            - type: 'null'
          title: Sector
          description: The sector of the company.
          examples:
            - Communication Services
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: The country where the company is located.
          examples:
            - US
        full_time_employees:
          anyOf:
            - type: integer
            - type: 'null'
          title: Full Time Employees
          description: The number of full-time employees of the company
          examples:
            - '185719'
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: The phone number of the company.
          examples:
            - 650 253 0000
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: The address of the company.
          examples:
            - 1600 Amphitheatre Parkway
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city where the company is located.
          examples:
            - Mountain View
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: The state where the company is located.
          examples:
            - CA
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
          description: The zip code of the company.
          examples:
            - '94043'
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
          description: The image URL of the company.
          examples:
            - https://images.financialmodelingprep.com/symbol/GOOGL.png
        ipo_date:
          anyOf:
            - type: string
              format: date
            - type: string
            - type: 'null'
          title: Ipo Date
          description: The IPO date of the company, e.g. '2010-06-29'.
          examples:
            - '2004-08-19'
        default_image:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Default Image
          description: Whether the image is the default image or not.
          examples:
            - false
        is_etf:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Etf
          description: Whether the company is an ETF or not.
          examples:
            - false
        is_actively_trading:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Actively Trading
          description: Whether the company is actively trading or not.
          examples:
            - true
        is_adr:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Adr
          description: >-
            Whether the company is an ADR or not, i.e. American Depositary
            Receipt.
          examples:
            - false
        is_fund:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fund
          description: Whether the company is a fund or not.
          examples:
            - false
      type: object
      title: CompanyProfileData
      description: Company profile data model.
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````